Bug 26767 - Remove the use of jquery.checkboxes plugin from duplicate orders template
Summary: Remove the use of jquery.checkboxes plugin from duplicate orders template
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006 26806
  Show dependency treegraph
 
Reported: 2020-10-21 15:31 UTC by Owen Leonard
Modified: 2021-06-14 21:33 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26767: Remove the use of jquery.checkboxes plugin from duplicate orders template (2.38 KB, patch)
2020-10-21 17:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26767: Remove the use of jquery.checkboxes plugin from duplicate orders template (2.43 KB, patch)
2020-10-25 03:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 26767: Remove the use of jquery.checkboxes plugin from duplicate orders template (2.48 KB, patch)
2020-10-25 13:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-21 15:31:54 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should replaced in the staff interface on the acquisitions "duplicate orders" page.
Comment 1 Owen Leonard 2020-10-21 17:45:01 UTC
Created attachment 112116 [details] [review]
Bug 26767: Remove the use of jquery.checkboxes plugin from duplicate orders template

This patch removes the use of the jquery.checkboxes plugin from the
duplicate orders template in acquisitions.

To test, apply the patch and go to Acquisitions -> Vendor -> Basket.

- Click "Add to basket."
- Click "From existing orders (copy)."
- Perform a search which will return some orders.
- Test the "Select all" and "Clear all" links. Confirm that they work
  correctly.
Comment 2 David Nind 2020-10-25 03:11:37 UTC
Created attachment 112467 [details] [review]
Bug 26767: Remove the use of jquery.checkboxes plugin from duplicate orders template

This patch removes the use of the jquery.checkboxes plugin from the
duplicate orders template in acquisitions.

To test, apply the patch and go to Acquisitions -> Vendor -> Basket.

- Click "Add to basket."
- Click "From existing orders (copy)."
- Perform a search which will return some orders.
- Test the "Select all" and "Clear all" links. Confirm that they work
  correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-10-25 13:36:39 UTC
Created attachment 112475 [details] [review]
Bug 26767: Remove the use of jquery.checkboxes plugin from duplicate orders template

This patch removes the use of the jquery.checkboxes plugin from the
duplicate orders template in acquisitions.

To test, apply the patch and go to Acquisitions -> Vendor -> Basket.

- Click "Add to basket."
- Click "From existing orders (copy)."
- Perform a search which will return some orders.
- Test the "Select all" and "Clear all" links. Confirm that they work
  correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-11-03 09:59:13 UTC
Pushed to master for 20.11, thanks to everybody involved!